#include <bits/stdc++.h>

using ll = long long;

using namespace std;

void solve() {
    ll n, k;
    cin >> n >> k;
    vector<ll> A(n);
    for (ll i = 0; i < n; i++) {
        cin >> A[i];
    }
    ll mx = 0, ans = 0;
    for (ll i = 0; i < n; i++) {
        ans = max(ans, i + 1 + A[i] + mx);
        if (mx < A[i]) {
            mx = max(mx, A[i]);
        }
    }
    cout << ans << '\n';
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll t = 1;
    //cin >> t;
    for (ll i = 0; i < t; i++) {
        solve();
    }
    return 0;
}
